# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('surveys', '0005_update_value_type_choices'),
    ]

    operations = [
        migrations.AlterField(
            model_name='choice',
            name='details',
            field=models.TextField(verbose_name='details', blank=True),
        ),
        migrations.AlterField(
            model_name='choice',
            name='label',
            field=models.CharField(max_length=500, verbose_name='label'),
        ),
        migrations.AlterField(
            model_name='pool',
            name='author',
            field=models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='author'),
        ),
        migrations.AlterField(
            model_name='pool',
            name='description',
            field=models.TextField(verbose_name='description', blank=True),
        ),
        migrations.AlterField(
            model_name='pool',
            name='is_global',
            field=models.BooleanField(verbose_name='is global?', default=False),
        ),
        migrations.AlterField(
            model_name='pool',
            name='is_mandatory',
            field=models.BooleanField(verbose_name='is mandatory?', default=True),
        ),
        migrations.AlterField(
            model_name='pool',
            name='name',
            field=models.CharField(max_length=500, verbose_name='name'),
        ),
        migrations.AlterField(
            model_name='question',
            name='details',
            field=models.TextField(verbose_name='details', blank=True, help_text='Detailed question'),
        ),
        migrations.AlterField(
            model_name='question',
            name='pool',
            field=models.ForeignKey(related_name='questions', verbose_name='pool', to='surveys.Pool'),
        ),
        migrations.AlterField(
            model_name='question',
            name='question_type',
            field=models.CharField(max_length=1, default='s', verbose_name='question type', choices=[('o', 'Open question'), ('s', 'Multiple answers, unique choice'), ('m', 'Multiple answers, multiple choice')], help_text='Question type'),
        ),
        migrations.AlterField(
            model_name='question',
            name='title',
            field=models.CharField(max_length=500, verbose_name='title', help_text='Short title of the question'),
        ),
        migrations.AlterField(
            model_name='question',
            name='value_type',
            field=models.CharField(choices=[('', 'No value'), ('p', 'Percentage'), ('n', 'Number'), ('t', 'Text')], verbose_name='value type', max_length=1, blank=True, default='p', help_text='Type of value for the choices'),
        ),
    ]
